> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/tracking-links/tracking-links.md).

# Tracking Links

## Create a tracking link

> Creates a new tracking link for a specified media partner. \
> Links can be standard, vanity, or deep links depending on the parameters provided.<br>

```json
{"openapi":"3.1.0","info":{"title":"Brand Tracking Links API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"TrackingLinkResponse":{"type":"object","properties":{"TrackingURL":{"type":"string","format":"uri","description":"The generated tracking link URL."}}}}},"paths":{"/Advertisers/{AccountSID}/Programs/{ProgramId}/TrackingLinks":{"post":{"operationId":"createTrackingLink","tags":["Tracking Links"],"summary":"Create a tracking link","description":"Creates a new tracking link for a specified media partner. \nLinks can be standard, vanity, or deep links depending on the parameters provided.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ProgramId","in":"path","required":true,"description":"Unique identifier for the program.","schema":{"type":"integer"}},{"name":"MediaPartnerId","in":"query","required":true,"description":"Unique identifier for the media partner assigned to the link.","schema":{"type":"integer"}},{"name":"Type","in":"query","required":false,"description":"Specifies the type of tracking link.","schema":{"type":"string","enum":["Regular","Vanity"]}},{"name":"CustomPath","in":"query","required":false,"description":"Defines the custom path for vanity links.","schema":{"type":"string"}},{"name":"AdId","in":"query","required":false,"description":"Unique ad identifier. If omitted, redirects to the program landing page.","schema":{"type":"integer"}},{"name":"DeepLink","in":"query","required":false,"description":"The specific URL the tracking link should redirect to.","schema":{"type":"string","format":"uri"}},{"name":"MediaPartnerPropertyId","in":"query","required":false,"description":"Unique identifier of the partner media property where the link will be used.","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingLinkResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/tracking-links/tracking-links.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
